Bug 983281 - rhsm-icon is not appearing for yellow subscriptions
rhsm-icon is not appearing for yellow subscriptions
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: subscription-manager (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Carter Kozak
Depends On:
Blocks: rhsm-rhel510
  Show dependency treegraph
Reported: 2013-07-10 16:44 EDT by John Sefler
Modified: 2014-09-14 20:08 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
No description necessary
Story Points: ---
Clone Of:
Last Closed: 2013-09-30 19:13:03 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description John Sefler 2013-07-10 16:44:40 EDT
Description of problem:
New for rhel510 is that compliance status is calculated by the candlepin server.  Moreover in addition to installed products, consumed subscriptions now have Status Details that explain why an entitlement has gone yellow; for example an insufficient partial stack of subscriptions or a subscription whose arch does not match the system (bug 909467).  When the entitlement on the "My Subscription" tab goes yellow, the rhsm-icon should also raise a warning.  Currently the rhsm-icon is only raising a warning when the subscription is about to expire.

Version-Release number of selected component (if applicable):
[root@jsefler-5 ~]# rpm -q subscription-manager
Comment 1 RHEL Product and Program Management 2013-07-10 16:57:17 EDT
This request was evaluated by Red Hat Product Management for inclusion
in a Red Hat Enterprise Linux release.  Product Management has
requested further review of this request by Red Hat Engineering, for
potential inclusion in a Red Hat Enterprise Linux release for currently
deployed products.  This request is not yet committed for inclusion in
a release.
Comment 2 Carter Kozak 2013-07-12 16:18:04 EDT
commit eacaa452361e1f716390ad3fd90cf65e9c3f3c76
Author: ckozak <ckozak@redhat.com>
Date:   Wed Jul 10 11:24:26 2013 -0400

    983250: 983281: certs check warning period
Comment 5 Rehana 2013-08-07 11:58:30 EDT
Retested on 

rpm -qa | grep subscr

Observed that the rhsm-icon is now appearing for partial subscriptions.

Moving this bug to verified.

Logged a new bug for better messaging https://bugzilla.redhat.com/show_bug.cgi?id=994620
Comment 7 errata-xmlrpc 2013-09-30 19:13:03 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.